Skip to main content
GET
Use this endpoint to fetch a Customer Identifier using id.

Path Parameters

string
required
The unique identifier of the Customer Identifier whose details are to be fetched.

Response Parameters

string
The unique identifier of the Customer Identifier.
string
The merchant billing label as it appears on the Dashboard.
string
Indicates the type of entity. Here, it is virtual account.
string
Indicates whether the Customer Identifier is in active or closed state.
string
A brief description about the Customer Identifier.
integer
The amount expected by the merchant.
integer
The amount paid by the customer into the Customer Identifier.
json object
Any custom notes you might want to add to the Customer Identifier can be entered here. Check the Notes section to know more.
string
Unique identifier of the customer the Customer Identifier is linked with. Check the Customer API section to know more.
json object
Configuration of desired receivers for the Customer Identifier.
string
The unique identifier of the Customer Identifier. Sample id for Customer Identifier is ba_Di5gbQsGn0QSz3
string
Name of the entity. Possible value is bank_account.
string
The IFSC for the Customer Identifier created. For example, RAZR0000001. This parameter appears in the response only when bank_account is passed as the receiver type.
string
The bank associated with the Customer Identifier. For example, RAZR0000001. This parameter appears in the response only when bank_account is passed as the receiver type.
string
The unique account number provided by the bank. For example, 1112220061746877. This parameter appears in the response only when bank_account is passed as the receiver type.
string
The merchant billing label as it appears on the Dashboard. This parameter appears in the response only when bank_account is passed as the receiver type.
json object
Any custom notes you might want to add to the Customer Identifier can be entered here. Check the Notes section to know more. This parameter appears in the response only when bank_account is passed as the receiver type.
array
Details of customer bank accounts which will be allowed to make payments to your Customer Identifier. The parent parameter under which the customer bank account details must be passed as child parameters. You can add account details of 10 allowed payers for a Customer Identifier. For more details, refer to the Third Party Validation section.
string
The type of account through which the customer will make the payment. Possible value is bank_account.
string
The unique identifier of the allowed_payers account.
object
Indicates the bank account details such as ifsc and account_number.
string
The IFSC associated with the bank account through which the customer is expected to make the payment.
string
The bank account number through which the customer is expected to make the payment.
integer
UNIX timestamp at which the Customer Identifier is scheduled to be automatically closed. The time must be at least 15 minutes after current time. The date range can be set till 2147483647 in UNIX timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30). Any request beyond 2147483647 UNIX timestamp will fail.
integer
UNIX timestamp at which the Customer Identifier is automatically closed.
integer
UNIX timestamp at which the Customer Identifier was created.

Errors

Code: 4xxOccurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the dashboard.Solution: Make sure that the API keys are active and entered correctly. Also, make sure there are no whitespaces before or after the keys.